Bug 434860 - Users cannot exit ExpressCard testing loop, even if 'no' entered at 'continue?' prompt
Users cannot exit ExpressCard testing loop, even if 'no' entered at 'continue...
Status: CLOSED ERRATA
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 16:33 EST by Gary Case
Modified: 2008-07-16 17:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2008-0493
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-20 13:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Case 2008-02-25 16:33:32 EST
Description of problem:
Users are stuck in a test loop if a PCIe ExpressCard is not detected when users
are prompted to insert one.

Version-Release number of selected component (if applicable):
hts-5.2-3

How reproducible:
Every time

Steps to Reproduce:
1. Run hts
2. When express card test appears, insert USB card
3. After USB test, insert PCIe card when prompted.
4. Card isn't detected (this system, a Dell Precision M6300 has known PCIe-based
ExpressCard problem where hotplug does not work)
5. This sequence occurs:

Testing PCIE via Express Card: Pleas plug in a card using PCIE
Please plug in an ExpressCard device - continue? yes
response: yes
Error: Device not found !
Please re-try
Testing PCIE via Express Card: Pleas plug in a card using PCIE
Please plug in an ExpressCard device - continue? no
response: no
Error: Device not found !
Please re-try
Testing PCIE via Express Card: Pleas plug in a card using PCIE
Please plug in an ExpressCard device - continue?

and so on, until you ctrl-c out of the script.

Actual results:
Stuck in loop.

Expected results:
Exit if 'no' is selected

Additional info:
Comment 1 Greg Nichols 2008-02-27 10:00:03 EST
Fixed in R4.

Prompts are changed to ask for "y" or "n", but accept most obvious positive and
negative substitutes.
Comment 5 errata-xmlrpc 2008-06-20 13:52:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0493.html

Note You need to log in before you can comment on or make changes to this bug.